%global pypi_name tooz

Summary:        Coordination library for distributed systems.
Name:           python-%{pypi_name}
Version:        2.11.1
Release:        3%{?dist}
License:        Apache-2.0
URL:            https://docs.openstack.org/%{pypi_name}/latest
Source0:        %{pypi_source}

BuildArch:      noarch

%description
The %{pypi_name} project aims at centralizing the most common distributed primitives like group
membership protocol, lock service and leader election by providing a coordination API helping
developers to build distributed applications.

%package -n python3-%{pypi_name}
Summary:        Coordination library for distributed systems.
BuildRequires: python3-devel python3-setuptools python3-pbr python3-pip python3-wheel python3-futurist
BuildRequires: python3-msgpack python3-stevedore python3-tenacity python3-requests python3-grpcio python3-etcd3gw
BuildRequires: python3-sysv_ipc python3-pymemcache python3-PyMySQL python3-psycopg2 python3-redis python3-zake python3-kazoo
Provides: python3-futurist python3-msgpack python3-pbr python3-stevedore python3-tenacity python3-voluptuous
Provides: python3-requests python3-etcd3 python3-grpcio python3-etcd3gw python3-sysv_ipc python3-pymemcache
Provides: python3-PyMySQL python3-psycopg2 python3-redis python3-zake python3-kazoo python-%{pypi_name}

%description -n python3-%{pypi_name}
The %{pypi_name} project aims at centralizing the most common distributed primitives like group
membership protocol, lock service and leader election by providing a coordination API helping
developers to build distributed applications.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}/%{_pkgdocdir}

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*.egg-info
%{_docdir}/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.11.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.11.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Shuo Wang <abushwang@tencent.com> - 2.11.1-1
- initial build
